CARGO-OWNER(1)

NAME
cargo-owner - Manage the owners of a crate on the registry

SYNOPSIS

cargo owner [OPTIONS] --add LOGIN [CRATE]
cargo owner [OPTIONS] --remove LOGIN [CRATE]
cargo owner [OPTIONS] --list [CRATE]

DESCRIPTION

This command will modify the owners for a crate on the registry. Owners of a crate can upload new versions and yank old versions. Non-team owners can also modify the set of owners, so take care!

This command requires you to be authenticated with either the --token option or using cargo-login(1).

If the crate name is not specified, it will use the package name from the current directory.

See for more information about owners and publishing.

OPTIONS

  Owner Options

-a, --add LOGIN...
    Invite the given user or team as an owner.

-r, --remove LOGIN...
    Remove the given user or team as an owner.

-l, --list
    List owners of a crate.

--token TOKEN
    API token to use when authenticating. This overrides the token stored in the credentials file (which is created by cargo-login(1)).

    environment variables can be used to override the tokens stored in the credentials file. The token for crates.io may be specified with the CARGO_REGISTRY_TOKEN environment variable. Tokens for other registries may be specified with environment variables of the form CARGO_REGISTRIES_NAME_TOKEN where NAME is the name of the registry in all capital letters.

--index INDEX
    The URL of the registry index to use.

--registry REGISTRY
    Name of the registry to use. Registry names are defined in If not specified, the default registry is used, which is defined by the registry.default config key which defaults to crates-io.

  Display Options

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose

-q, --quiet
    No output printed to stdout.

--color WHEN
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color

  Common Options

-h, --help
    Prints help information.

-Z FLAG...
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT

See for details on environment variables that Cargo reads.

EXIT STATUS

0
    Cargo succeeded.

101
    Cargo failed to complete.

EXAMPLES

    1. List owners of a package:

        cargo owner --list foo

    2. Invite an owner to a package:

        cargo owner --add username foo

    3. Remove an owner from a package:

        cargo owner --remove username foo

SEE ALSO

cargo(1), cargo-login(1), cargo-publish(1)